[workspace]
authors = ["hotwa <pylyzeng@gmail.com>"]
channels = ["conda-forge"]
name = "macro_split"
platforms = ["linux-64"]
version = "0.1.0"

[tasks]

[dependencies]
rdkit = ">=2025.9.1,<2026"
pandas = ">=2.3.3,<3"
numpy = ">=2.3.4,<3"
matplotlib = ">=3.10.7,<4"
seaborn = ">=0.13.2,<0.14"
jupyter = ">=1.1.1,<2"
tqdm = ">=4.67.1,<5"
mkdocs = ">=1.6.1,<2"
mkdocs-material = ">=9.6.23,<10"
mkdocstrings = ">=0.30.1,<0.31"
mkdocstrings-python = ">=1.18.2,<2"

[pypi-dependencies]
dataclasses-json = ">=0.6.7, <0.7"
